Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawMotionArrows Class Reference

Class to carry out the overlay of motion vectors represented by arrows.

`#include <motion_arrows.h>`

Inheritance diagram for dirac_instr::DrawMotionArrows:
[legend]
Collaboration diagram for dirac_instr::DrawMotionArrows:
[legend]

List of all members.

## Public Member Functions

- DrawMotionArrows (Picture &, DrawPictureMotionParams &, const MvArray &, int)
    Constructor.
- ~DrawMotionArrows ()
    Destructor.
- void DrawBlock (int, int)
    Manages drawing of motion vector arrows.
- void DrawLegend ()
    Does nothing, no legend for overlay.

## Protected Member Functions

- void DrawArrow (int, int, int, int)
    Draws a single 16 x 16 pixel arrow.

## Protected Attributes

- int m_mv_scale
    Temporal motion vector scaling.
- int m_blocks_per_arrow_y
    Number of blocks per arrow.
- int m_blocks_per_arrow_x
- const MvArray & m_mv
    Reference to motion vector data for particular reference.

## Constructor & Destructor Documentation

dirac_instr::DrawMotionArrows::DrawMotionArrows | ( | Picture & | ,
|  | DrawPictureMotionParams & | ,
|  | const MvArray & | ,
|  | int |  |
| ) |  |  |

dirac_instr::DrawMotionArrows::~DrawMotionArrows | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawMotionArrows::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Implements dirac_instr::DrawOverlay.

Reimplemented in dirac_instr::DrawMotionColourArrows.

void dirac_instr::DrawMotionArrows::DrawLegend | ( |  | ) | `[virtual]`

Implements dirac_instr::DrawOverlay.

Reimplemented in dirac_instr::DrawMotionColourArrows.

void dirac_instr::DrawMotionArrows::DrawArrow | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  | `[protected]`

## Member Data Documentation

int dirac_instr::DrawMotionArrows::m_mv_scale`[protected]`

int dirac_instr::DrawMotionArrows::m_blocks_per_arrow_y`[protected]`

int dirac_instr::DrawMotionArrows::m_blocks_per_arrow_x`[protected]`

const MvArray& dirac_instr::DrawMotionArrows::m_mv`[protected]`

The documentation for this class was generated from the following file:

- motion_arrows.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.